<?php

namespace App\Modules\Gamification;

use App\Modules\Admin\Menu;
use App\Modules\Bookings\Task;
use Illuminate\Support\Facades\URL;

class ServiceProvider extends \App\Modules\ServiceProvider
{
    public function register()
    {
        parent::register('gamification');
    }

    public function boot()
    {
        parent::boot('gamification');

        // Add it to the settings menu
        Menu::register('Gamification', URL::to('admin/settings/gamification'), 'fa-gamepad', 'addons');

        // Register model observers
        Task::observe(new TaskObserver());
    }
}
